ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
Asn1cEncDec.cc File Reference
`#include "Asn1cEncDec.hh"`
`#include "loggers.hh"`
`#include <ber_decoder.h>`
`#include <der_encoder.h>`
`#include <per_encoder.h>`
`#include <per_decoder.h>`

## Functions
void | titan2asn1c (const INTEGER &t, long &a)
void | titan2asn1c (const INTEGER &t, unsigned long &a)
void | titan2asn1c (const INTEGER &t, INTEGER_t &a)
INTEGER | asn1c2titan (const INTEGER_t &a)
INTEGER | asn1c2titan (long n)
INTEGER | asn1c2titan (unsigned long n)
void | titan2asn1c (const BOOLEAN &t, BOOLEAN_t &a)
BOOLEAN | asn1c2titan (const BOOLEAN_t &a)
void | titan2asn1c (const OCTETSTRING &t, OCTET_STRING_t &a)
OCTETSTRING | asn1c2titan (const OCTET_STRING_t &a)
void | titan2asn1c (const BITSTRING &t, BIT_STRING_t &a)
BITSTRING | asn1c2titan (const BIT_STRING_t &a)
int | asn1c_collect_encoded_data (const void *buffer, size_t size, void *application_specific_key)
int | asn1c_per2ber (asn_TYPE_descriptor_t &td, const TTCN_Buffer &per, TTCN_Buffer &ber, void **ctx)
int | asn1c_ber2per (asn_TYPE_descriptor_t &td, const TTCN_Buffer &ber, TTCN_Buffer &per, void **ctx)

## Function Documentation

## ◆ asn1c2titan() [1/6]

INTEGER asn1c2titan | ( | const INTEGER_t & | a | ) |

## ◆ asn1c2titan() [2/6]

INTEGER asn1c2titan | ( | long | n | ) |

## ◆ asn1c2titan() [3/6]

INTEGER asn1c2titan | ( | unsigned long | n | ) |

## ◆ asn1c2titan() [4/6]

BOOLEAN asn1c2titan | ( | const BOOLEAN_t & | a | ) |

## ◆ asn1c2titan() [5/6]

OCTETSTRING asn1c2titan | ( | const OCTET_STRING_t & | a | ) |

## ◆ asn1c2titan() [6/6]

BITSTRING asn1c2titan | ( | const BIT_STRING_t & | a | ) |

## ◆ asn1c_ber2per()

int asn1c_ber2per | ( | asn_TYPE_descriptor_t & | td,
|  | const TTCN_Buffer & | ber,
|  | TTCN_Buffer & | per,
|  | void ** | ctx
| ) |  |

## ◆ asn1c_collect_encoded_data()

int asn1c_collect_encoded_data | ( | const void * | buffer,
|  | size_t | size,
|  | void * | application_specific_key
| ) |  |

## ◆ asn1c_per2ber()

int asn1c_per2ber | ( | asn_TYPE_descriptor_t & | td,
|  | const TTCN_Buffer & | per,
|  | TTCN_Buffer & | ber,
|  | void ** | ctx
| ) |  |

## ◆ titan2asn1c() [1/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [2/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | unsigned long & | a
| ) |  |

## ◆ titan2asn1c() [3/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | INTEGER_t & | a
| ) |  |

## ◆ titan2asn1c() [4/6]

void titan2asn1c | ( | const BOOLEAN & | t,
|  | BOOLEAN_t & | a
| ) |  |

## ◆ titan2asn1c() [5/6]

void titan2asn1c | ( | const OCTETSTRING & | t,
|  | OCTET_STRING_t & | a
| ) |  |

## ◆ titan2asn1c() [6/6]

void titan2asn1c | ( | const BITSTRING & | t,
|  | BIT_STRING_t & | a
| ) |  |